win10、win8和win7下处理php5.3和5.4、5.5等不能加载phpITeye - 亚美娱乐

win10、win8和win7下处理php5.3和5.4、5.5等不能加载phpITeye

2019-01-11 22:11:13 | 作者: 智刚 | 标签: 加载,依靠,不可 | 浏览: 2668

1. phpinfo发现没有加载curl;

2. 在php.ini中设置extension_dir 指向e:\php5.4\ext; 部分php扩展加载了, 但curl仍不可。

3. 设置windows体系环境变量, phpext, 指向e:\php5.4\ext, PHPRC 指向e:\php5.4

设置path环境变量,增加e:\php5.4

4. 重新启动apache, 总算出来了, 功德圆满!

 

二、win8、win10体系, apache2.4, php5.4/5.5/5.6, v9/v11

 

首要前面win7下的都履行了, 但死活不可!也下载了许多64位的php_curl.dll, 也不可!

发现很可能是加载依靠的问题! 最终处理!

 

1. 履行前面win7下的1-4步!

2. 下载:http://www.dependencywalker.com/

3. 检查php版别中的php_curl.dll模块依靠!自行测验吧, 运转并找到php_curl.dll途径, 翻开检查依靠库。

4. 在http.conf中最终,增加:

 

 

LoadFile D:/Lamp/php5/php5ts.dll

LoadFile D:/Lamp/php5/libeay32.dll

LoadFile D:/Lamp/php5/ssleay32.dll

LoadFile D:/Lamp/php5/libssh2.dll

 

LoadModule php5_module "D:/Lamp/php5/php5apache2_4.dll"

 

AddType application/x-httpd-php .php

5. 重启, 大功靠成!

三、总结:

 

首要问题, php要下载安全版别;各种办法都试了, 仍不可, 就检查依靠并测验增加。

php包里的php_curl.dll扩展应是可用的, 不要随意替换。 别的, 虽然php文档注释32位环境才需加依靠, 现实不是这样。

版权声明
本文来源于网络,版权归原作者所有,其内容与观点不代表亚美娱乐立场。转载文章仅为传播更有价值的信息,如采编人员采编有误或者版权原因,请与我们联系,我们核实后立即修改或删除。

猜您喜欢的文章

阅读排行

  • 1

    Shell 练习题(append)ITeye

    实例,文件,上述
  • 2

    获取checkbox复选框的值ITeye

    依据,获取,拿到
  • 3

    Redis的耐久化机制ITeye

    耐久,方法,内存
  • 4
  • 5

    记一次线程池的运用ITeye

    线程,运用,行列
  • 6
  • 7
  • 8
  • 9
  • 10

    Digester 解析XMLITeye

    元素,参数,解析